Skip to main content
POST
/api/v1/image/generations

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

헤더

Accept-Encoding
string

Supported compression encodings (gzip, br).

예시:

"gzip, br"

본문

application/json
prompt
string
필수

A text description of the desired image.

Required string length: 1 - 1500
예시:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
기본값:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

사용 가능한 옵션:
transparent,
opaque,
auto
예시:

"auto"

model
string
기본값:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

예시:

"grok-imagine-image"

moderation
enum<string> | null
기본값:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

사용 가능한 옵션:
low,
auto
예시:

"auto"

n
integer | null
기본값:1

Number of images to generate. Venice presently only supports 1 image per request.

필수 범위: 1 <= x <= 1
예시:

1

output_compression
integer | null
기본값:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

필수 범위: 0 <= x <= 100
output_format
enum<string>
기본값:png

Output format for generated images

사용 가능한 옵션:
jpeg,
png,
webp
예시:

"png"

quality
enum<string> | null
기본값:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

사용 가능한 옵션:
auto,
high,
medium,
low,
hd,
standard
예시:

"auto"

response_format
enum<string> | null
기본값:b64_json

Response format. URL will be a data URL.

사용 가능한 옵션:
b64_json,
url
예시:

"b64_json"

size
enum<string> | null
기본값:auto

Size of generated images. Default is 1024x1024

사용 가능한 옵션:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
예시:

"1024x1024"

style
enum<string> | null
기본값:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

사용 가능한 옵션:
vivid,
natural
예시:

"natural"

user
string

This parameter is discarded and is supported for compatibility with OpenAI API. It is not an alias of anon_user_id.

예시:

"user123"

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
예시:

"end-user-123"

응답

Successfully generated image

created
integer
필수

Unix timestamp for when the request was created

예시:

1713833628

data
object[]
필수